package com.madeu.service.web.webtreatmentprocedure;

import java.util.HashMap;

public interface WebTreatmentProcedureService {

	public HashMap<String, Object> selectListTreatmentProcedureOption(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListTreatmentProcedureOption2(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListTreatmentProcedure(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectTreatmentProcedure(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertTreatmentProcedure(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateTreatmentProcedure(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateTreatmentProcedureEnableYn(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateTreatmentProcedureTreatmentId(HashMap<String, Object> paramMap) throws Exception;

}
